// Copyright (C) 2020 The Qt Company Ltd.
// SPDX-License-Identifier: LicenseRef-Qt-Commercial

#include "typesystypedef.h"

ValueWithUnitUser::ValueWithUnitUser() = default;

ValueWithUnit<double, LengthUnit::Millimeter>
    ValueWithUnitUser::doubleInchToMillimeter(ValueWithUnit<double, LengthUnit::Inch> v)
{
    return ValueWithUnit<double, LengthUnit::Millimeter>(v.value() * 254);
}
